
Ryzom - Bug # 985

Status: Closed Priority: High
Author: kervala Category: Client: General
Created: 06/15/2010 Assignee: kervala
Updated: 07/15/2010 Due date:
Subject: Crash when opening a door
Description

When opening a door, there is a crash in void CDoorManager::getPACSTriggers() at line 492.

nUserDataDoor is a uint64 and it contains a 16 bits mask + a pointer. In 32 bits,it's working fine because 32 + 16 < 64 and, in 64 bits,
it's not working because 64 + 16 > 64 :p

History
#1 - 06/16/2010 05:49 pm - rti

r375 solves it for you? o.O

#2 - 06/16/2010 06:26 pm - kervala

No, it was only a test :)

Server cast the pointer to a sint32 :p

#3 - 06/16/2010 10:58 pm - kervala
- Status changed from New to Assigned
- Assignee set to kervala
- Priority changed from Normal to High

#4 - 06/16/2010 11:04 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r377.

#5 - 06/16/2010 11:04 pm - kervala
- Target version set to Version 0.8.0

#6 - 07/15/2010 04:36 pm - kervala
- Status changed from Resolved to Closed
